std::linear_congruential_engine< _UIntType, __a, __c, __m > Class Template Reference
Numerics » Random Number Generation » Random Number Generators

## Public Types

typedef _UIntType | result_type

## Public Member Functions

template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, linear_congruential_engine>::value> ::type>
| linear_congruential_engine (_Sseq &__q)
| linear_congruential_engine (result_type __s=default_seed)
void | discard (unsigned long long __z)
result_type | operator() ()
template<typename _Sseq >
std::enable_if< std::is_class< _Sseq >::value >::type | seed (_Sseq &__q)
void | seed (result_type __s=default_seed)

## Static Public Member Functions

static constexpr result_type | max ()
static constexpr result_type | min ()

## Static Public Attributes

static constexpr result_type | default_seed
static constexpr result_type | increment
static constexpr result_type | modulus
static constexpr result_type | multiplier

## Friends

template<typename _UIntType1 , _UIntType1 __a1, _UIntType1 __c1, _UIntType1 __m1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::linear_congruential_engine< _UIntType1, __a1, __c1, __m1 > &__lcr)
bool | operator== (const linear_congruential_engine &__lhs, const linear_congruential_engine &__rhs)
template<typename _UIntType1 , _UIntType1 __a1, _UIntType1 __c1, _UIntType1 __m1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::linear_congruential_engine< _UIntType1, __a1, __c1, __m1 > &__lcr)

## Detailed Description

### template<typename _UIntType, _UIntType __a, _UIntType __c, _UIntType __m>
class std::linear_congruential_engine< _UIntType, __a, __c, __m >

A model of a linear congruential random number generator.

A random number generator that produces pseudorandom numbers via linear function:

The template parameter `_UIntType` must be an unsigned integral type large enough to store values up to (__m-1). If the template parameter `__m` is 0, the modulus `__m` used is std::numeric_limits<_UIntType>::max() plus 1. Otherwise, the template parameters `__a` and `__c` must be less than `__m`.

The size of the state is .

Definition at line 236 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc